%global momorel 8

Summary: Tools needed to create Texinfo format documentation files.
Name: texinfo
Version: 4.8
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: info-dir.bz2
Source10: gnome-info.png
Patch1: texinfo-4.8-install-info-bgzlib.patch
Patch2: texinfo-4.7.test.patch.bz2
Patch3: texinfo-4.8-texindex.patch
Patch107: texinfo-4.7-vikeys-segfault-fix.patch.bz2
Patch108: texinfo-4.8-install-info-bgzlib-lib64.patch

BuildPreReq: rpm >= 3.0.5-17k
BuildPreReq: ncurses-devel
BuildPreReq: zlib-devel >= 1.2.3-1m
BuildPreReq: bzip2-devel
Prereq: info
URL: http://www.gnu.org/directory/texinfo.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define __spec_install_post /usr/lib/rpm/brp-strip \; /usr/lib/rpm/brp-strip-comment-note

%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.


%package -n info
Summary: A stand-alone TTY-based reader for GNU texinfo documentation.
Group: System Environment/Base
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Prereq: bash 
Provides: /sbin/install-info

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based
browser program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a
valuable source of information about the software on your system.
#'
%prep
%setup -q
%patch1 -p1 -b .bgzlib
%patch2
%patch107 -p1
%if %{_lib} == "lib64"
%patch108 -p1
%endif
%patch3 -p1 -b .texindex
%build

%configure
make %{?_smp_mflags}
# for link libz and libbz2
rm -f util/install-info
make -C util LIBS="%{_libdir}/libz.a %{_libdir}/libbz2.a"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/%{_sysconfdir}

%makeinstall

pushd %{buildroot}
  bzcat %{S:1} > .%{_sysconfdir}/info-dir
# gzip -n -9f ./%{_infodir}/*info*
  bzip2 -9f ./%{_infodir}/*info*
  bzip2 -9f .%{_mandir}/*/*
  ln -sf ../../../etc/info-dir %{buildroot}%{_infodir}/dir
  mv -f .%{_bindir}/install-info ./sbin

# install desktop file
mkdir -p .%{_datadir}/applications
cat > .%{_datadir}/applications/info.desktop <<EOF
[Desktop Entry]
Name=Info Viewer
Comment=GNU Info Page Reader
Exec=info
Icon=gnome-info
Terminal=true
Type=Application
Categories=Application;Utility;
EOF
popd

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/pixmaps/

rm -f %{buildroot}%{_datadir}/texinfo/texinfo.{xsl,dtd}
rm -f %{buildroot}%{_bindir}/texi2pdf

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/texinfo %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/texinfo %{_infodir}/dir
fi

%post -n info
/sbin/install-info %{_infodir}/info-stnd.info %{_infodir}/dir

%preun -n info
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/info-stnd.info %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc --parents info/README
%{_bindir}/makeinfo
%{_bindir}/texindex
%{_bindir}/texi2dvi
%dir %{_datadir}/texinfo
%{_datadir}/texinfo
%{_infodir}/texinfo*
%{_datadir}/locale/*/*/*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man5/texinfo.5*

%files -n info
%defattr(-,root,root)
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/info-dir
%{_bindir}/info
%{_bindir}/infokey
%{_datadir}/applications/info.desktop
%{_infodir}/dir
%{_infodir}/info.info*
%{_infodir}/info-stnd.info*
/sbin/install-info
%{_mandir}/man1/info.1*
%{_mandir}/man1/infokey.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*
%{_datadir}/pixmaps/gnome-info.png

%changelog
* Tue Jul 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.8-8m)
- import gnome-info.png from xfce4-icon-theme-4.4.1

* Sun Jul 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.8-7m)
- change provide /sbin/install-info from texinfo to info

* Fri Nov 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.8-6m)
- [SECURITY] CVE-2005-3011 CVE-2006-4810
-- import patch3 from FC

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.8-5m)
- rebuild against zlib-1.2.3 (CAN-2005-1849)

* Tue Jul 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.8-4m)
- rebuild against zlib-devel 1.2.2-2m, which fixes CAN-2005-2096.

* Wed Feb 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.8-3m)
- support multilib.

* Tue Feb 22 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.8-2m)
- readd bgzlib patch
- delete patch1 from fc

* Sun Feb 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.8-1m)
- update to 4.8
- delete Patch0
- add Patch1: texinfo-4.3-zlib.patch
- add Patch2: texinfo-4.7.test.patch.bz2
- add Patch107: texinfo-4.7-vikeys-segfault-fix.patch.bz2

* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.6-5m)
- move info.desktop to %%{_datadir}/applications/

* Tue Sep 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.6-4m)
- used %{_libdir}/libz.a and %{_libdir}/libbz2.a instead of ones in /usr/lib

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (4.6-3m)
- revised spec for rpm 4.2.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (4.6-2m)
- revise texinfo-4.3-install-info-bgzlib.patch for alpha

* Thu Jun 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.6-1m)
  update to 4.6

* Mon Apr 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5-4m)
- rebuild against zlib 1.1.4-5m

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5-3m)
- add URL tag
- use macros

* Tue Feb 25 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.5-2m)
- rebuild against zlib-1.1.4-4m

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.5-1m)
  update to 4.5

* Mon Nov 25 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.3-1m)
- update to 4.3 ([Momonga-devel.ja:00837] thanks, simm)
- revise zlib and bzlib support patch
- add man pages

* Mon Jul 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.2-9m)
- BuildPreReq: ncurses-devel, bzip2-devel

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (4.2-8k)
- Prereq: /sbin/install-info -> info

* Mon Apr 29 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (4.2-6k)
- Provides: /sbin/install-info

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (4.2-4k)
- add texinfo-fileextension.patch

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (4.2-2k)
- update to 4.2
- add -b .bzip2 at patch100
- adapt texinfo-4.0-zlib.patch to version 4.2 
- merge texinfo-3.12h-fix.patch and texinfo-4.0-zlib.patch
  install-info.c part
- separate zlib patch by file Makefile.in and install-info.c
- adapt version 4.2 texinfo.bzip2.dyky.patch
- change name to texinfo-4.2-bzip2-dyky.patch
  This file must patch after patched zlib-patch
  because from -lz to -lz -lbz2
- change spec file encoding system to EUC...
  Oops Mr bero's name was changed, revised

* Fri Mar 15 2002 Kazuhiko <kazuhiko@kondara.org>
- (4.0-20k)
- rebuild against zlib-1.1.4

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (4.0-18k)
- changed to user bzip2

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (4.0-15k)
- enable bzip2 on install-info

* Thu Sep  7 2000 AYUHANA Tomonori <l@kondara.org>
- (4.0-13k)
- remove Requires: filesystem >= 2.0.7-1
- remove Docdir: /usr/share/doc
- use %{_infodir}
- (4.0-12k)
- for stable

* Wed Aug 16 2000 AYUHANA Tomonori <l@kondara.org>
- (4.0-10k)
- obey FHS
- add Requires: filesystem >= 2.0.7-1
- add Docdir: /usr/share/doc
- change %files, %post, %preun against FHS

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed Jun 28 2000 Bill Nottingham <notting@redhat.com>
- fix build wackiness with info page compressing

* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
- fix info-dir symlink

* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
- use FHS paths for info.

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions

* Wed Jan 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move info-stnd.info* to the info package, /sbin/install-info it
  in %post (Bug #6632)

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- recompile to eliminate ncurses foul-up.

* Tue Nov  9 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 4.0
- handle RPM_OPT_FLAGS

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- import version 3.12h into 6.1 tree from HJLu

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Erik Troan <ewt@redhat.com>
- hacked to use zlib to get rid of the requirement on gzip

* Wed Mar 17 1999 Matt Wilson <msw@redhat.com>
- install-info prerequires gzip

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 3.12f
- make /usr/info/dir to be a %config(noreplace)
* Wed Nov 25 1998 Jeff Johnson <jbj@redhat.com>
- rebuild to fix docdir perms.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- fix allocation problems in install-info

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- /sbin/install-info should not depend on /usr/lib/libz.so.1 -- statically
  link with /usr/lib/libz.a.

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- added a prereq of bash to the info package -- see the comment for a
  description of why that was done

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add %attr to permit non-root build.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean
- manhattan build

* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.
